package tm

type RenderOrderRes struct {
	Code      string `json:"Code"`
	Message   string `json:"Message"`
	RequestId string `json:"RequestId"`
	Success   bool   `json:"Success"`
	Model     struct {
		RenderOrderInfos struct {
			RenderOrderInfos []struct {
				LmItemInfos struct {
					LmItemInfos []struct {
						ItemId   int64  `json:"ItemId"`
						Quantity int    `json:Quantity`
						CanSell  bool   `json:CanSell`
						SkuId    int64  `json:SkuId`
						Message  string `json:Message`
						ItemName string `json:ItemName`
					} `json:"LmItemInfos"`
				} `json:"LmItemInfos"`
				DeliveryInfos struct {
					DeliveryInfos []struct {
						ServiceType int    `json:"ServiceType"`
						Id          string `json:"Id"`
						PostFee     int64  `json:"PostFee"`
						DisplayName string `json:"string"`
					} `json:"DeliveryInfos"`
				} `json:"DeliveryInfos"`
			} `json:"RenderOrderInfos"`
		} `json:"RenderOrderInfos"`
	} `json:"Model"`
}

type TmCommon struct {
	Code      string `json:"Code"`
	Message   string `json:"Message"`
	RequestId string `json:"RequestId"`
}

type BatchRegistAnonymousTbAccountRes struct {
	Code      string `json:"Code"`
	Message   string `json:"Message"`
	RequestId string `json:"RequestId"`
	BatchId   string `json:"BatchId"`
}

type LeavePictureList struct {
	Picture string `json:"Picture"` //图片地址
	Desc    string `json:"Desc"`    //图片描述
}

type GetCustomServiceUrlRes struct {
	Code      string `json:"Code"`
	Message   string `json:"Message"`
	RequestId string `json:"RequestId"`
	UrlData   struct {
		ReturnUrl string `json:"ReturnUrl"`
	} `json:"UrlData"`
}

type SubmitReturnGoodLogisticsRes struct {
	Code      string `json:"Code"`
	Message   string `json:"Message"`
	RequestId string `json:"RequestId"`
}

type SubmitReturnCancelRes struct {
	Code      string `json:"Code"`
	Message   string `json:"Message"`
	RequestId string `json:"RequestId"`
}

type BeforeData struct {
	Reasons          []Reasons     `json:"reasons"`
	ServiceType      []ServiceType `json:"serviceType"`
	MaxRefundFeeData struct {
		MaxRefundFee int64 `json:"MaxRefundFee"` //本单最大可退款金额
		MinRefundFee int64 `json:"MinRefundFee"` //本单最小可退款金额
	} `json:"MaxRefundFeeData"`
}

type Reasons struct {
	Id                 int64  `json:"id"`                 //原因id
	Name               string `json:"name"`               //原因
	NeedVoucher        bool   `json:"needVoucher"`        //凭证是否必须上传
	NoRefundCarriage   bool   `json:"noRefundCarriage"`   //是否支持退运费
	Tip                string `json:"tip"`                //提示
	ServiceType        string `json:"serviceType"`        //提示
	RefundDescRequired bool   `json:"refundDescRequired"` //是否要求留言
}
type ServiceType struct {
	Code string `json:"code"`
	Name string `json:"name"`
}

type Detail struct {
	RefundCarriage       int64  `json:"refundCarriage"`       //运费的实际退款金额，单位：分
	RejectReason         string `json:"rejectReason"`         //	拒绝原因
	SellerReceiveAddress string `json:"sellerReceiveAddress"` //卖家地址
	RefundPayment        int64  `json:"refundPayment"`        //实际退款金额，单位：分
	SellerMobile         string `json:"sellerMobile	"`        //收货人手机
	SellerRealName       string `json:"sellerRealName"`       //收货人姓名
	SellerTel            string `json:"sellerTel"`            //收货人电话
	GoodsStatus          int    `json:"goodsStatus"`          //状态1：买家未收到货 2：买家已收到货 3：买家已退货
	RefundGoods          bool   `json:"refundGoods"`          //是否要求退货
	OnlyRefund           bool   `json:"onlyRefund"`           //是否仅退款
	RejectTimes          int    `json:"rejectTimes"`          //退款单被拒绝的次数
	Status               string `json:"status"`               //
}
